org.vertx.java.core.logging

## Class Logger

- java.lang.Object
- - org.vertx.java.core.logging.Logger

    public class Logger
    extends java.lang.Object

This class allows us to isolate all our logging dependencies in one place. It also allows us to have zero runtime 3rd party logging jar dependencies, since we default to JUL by default.

By default logging will occur using JUL (Java-Util-Logging). The logging configuration file (logging.properties) used by JUL will taken from the default logging.properties in the JDK installation if no `java.util.logging.config.file` system property is set. The `vertx-java / vertx-ruby / etc` scripts set `java.util.logging.config.file` to point at the logging.properties in the vertx distro install directory. This in turn configures vertx to log to a file in a directory called vertx-logs in the users home directory.

If you would prefer to use Log4J or SLF4J instead of JUL then you can set a system property called `org.vertx.logger-delegate-factory-class-name` to the class name of the delegate for your logging system. For Log4J the value is `org.vertx.java.core.logging.Log4JLogDelegateFactory`, for SLF4J the value is `org.vertx.java.core.logging.SLF4JLogDelegateFactory`. You will need to ensure whatever jar files required by your favourite log framework are on your classpath.

### Constructor Summary

Constructors
Constructor and Description
`Logger(org.vertx.java.core.logging.impl.LogDelegate delegate)`

### Method Summary

Methods
`void` `debug(java.lang.Object message)`
`void` `debug(java.lang.Object message, java.lang.Throwable t)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable t)`
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable t)`
`void` `info(java.lang.Object message)`
`void` `info(java.lang.Object message, java.lang.Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`void` `trace(java.lang.Object message)`
`void` `trace(java.lang.Object message, java.lang.Throwable t)`
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    public Logger(org.vertx.java.core.logging.impl.LogDelegate delegate)

### Method Detail

#### isInfoEnabled

    public boolean isInfoEnabled()

#### isDebugEnabled

    public boolean isDebugEnabled()

#### isTraceEnabled

    public boolean isTraceEnabled()

#### fatal

    public void fatal(java.lang.Object message)

#### fatal

    public void fatal(java.lang.Object message,
             java.lang.Throwable t)

#### error

    public void error(java.lang.Object message)

#### error

    public void error(java.lang.Object message,
             java.lang.Throwable t)

#### warn

    public void warn(java.lang.Object message)

#### warn

    public void warn(java.lang.Object message,
            java.lang.Throwable t)

#### info

    public void info(java.lang.Object message)

#### info

    public void info(java.lang.Object message,
            java.lang.Throwable t)

#### debug

    public void debug(java.lang.Object message)

#### debug

    public void debug(java.lang.Object message,
             java.lang.Throwable t)

#### trace

    public void trace(java.lang.Object message)

#### trace

    public void trace(java.lang.Object message,
             java.lang.Throwable t)